Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.dot

method

ma.masked_array.dot(b, out=None)

  Masked dot product of two arrays. Note that out and strict are located in different positions than in `ma.dot`. In order to maintain compatibility with the functional version, it is recommended that the optional arguments be treated as keyword only. At some point that may be mandatory.

  Parameters:
    b masked_array_like

      Inputs array.

    out masked_array, optional

      Output argument. This must have the exact kind that would be returned if it was not used. In particular, it must have the right type, must be C-contiguous, and its dtype must be the dtype that would be returned for ma.dot(a,b). This is a performance feature. Therefore, if these conditions are not met, an exception is raised, instead of attempting to be flexible.

    strict bool, optional

      Whether masked data are propagated (True) or set to 0 (False) for the computation. Default is False. Propagating the mask means that if a masked value appears in a row or column, the whole row or column is considered masked.

  See also

  `numpy.ma.dot`

    equivalent function